lpstat(1)

NAME
lpstat - print information about the status of the LP print service

SYNOPSIS
lpstat [ -A ] [ -d ] [ -r ] [ -R ] [ -s ] [ -t ] [ -a [list] ]
[ -c [list] ] [ -f [list] [ -l ] ] [ -o [list] ]
[ -p [list] [ -D ] [ -l ] ] [ -P ]
[ -S [list] [ -l ] ] [ -u [login-ID-list] ]
[ -v [list] ] [ -Tdebugoptions ] [list]

DESCRIPTION
The lpstat command prints information about the current status of the LP print service. This is implemented as a front end to the LPRng lpq(1) program, and does not have the full functionality of the native lpstat program.

If no options are given, then lpstat prints the status of all the user's print requests made by lp on the default printer. (see lp(1) and lpr(1)). Any arguments that are not options are assumed to be request-IDs as returned by lp or printer names. The lpstat command prints the status of such requests. The options may appear in any order and may be repeated and intermixed with other arguments. Some of the keyletters below may be followed by an optional list that can be in one of two forms: a list of items separated from one another by a comma, or a list of items separated from one another by spaces enclosed in quotes. For example:

    example% lpstat -u "user1 user2 user3"

Specifying all after any keyletter that takes list as an argument causes all information relevant to the keyletter to be printed. For example, the command:

    example% lpstat -o all

prints the status of all output requests.

The omission of a list following such key letters causes all information relevant to the key letter to be printed. For example, the command:

    example% lpstat -o

prints the status of all output requests.

OPTIONS
The following options are supported:

-A  Use authentication specified by the value of the AUTH environment variable.

-a [list]
    Reports whether print destinations are accepting requests. list is a list of printer names.

-c [list]
    Print name of all classes and their members. list is a list of class names. (Same effect as -o.)

-d  Print the system default destination for output requests.

-f [list] [-l]
    Print list of printers supporting the specified forms option is ignored.

-o [list]
    Print the status of output requests: list is a list of intermixed printer names, class names, and request-IDs. The keyletter -o may be omitted.

-p [list]
    Print the status of printers. list is a list of printer names. (Same effect as -o.)

-P  Print the paper types. Ignored.

-r  Print the status of the LP request scheduler.

-R  Print a number showing the position of each job in the print queue. Ignored.

-s  Print a status summary. Produces a short status listing.

-S [list] [-l]
    List or verify character sets of printers. (Ignored.)

-t  Print all status information.

-u [login-ID-list]
    Print the status of output requests for users. (Same effect as -o.)

-v [list]
    Print the path names of the printer output devices. (Ignored.) -D Combined with the -p flag prints description of printer.

-Toptions
    Set debugging options. Use -T= to get lpstat to provide a list.

ENVIRONMENT

By default, the destination printer is taken from the command line dest value, then the environment variables PRINTER, LPDEST, NPRINTER, NGPRINTER, then first entry in the printcap information, and and finally the default_printer entry from the configuration file, and then the compile time default.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/etc/lpd.conf	LPRng configuration file
${HOME}/.printcap	user printer description file
/etc/printcap	printer description file
/etc/lpd.perms	permissions
/var/run/lpd	lock file for queue control
/var/spool/lpd		spool directories
/var/spool/lpd/QUEUE/control	queue control
/var/spool/lpd/QUEUE/log	trace or debug log file
/var/spool/lpd/QUEUE/acct	accounting file
/var/spool/lpd/QUEUE/status	status file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), checkpc(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1), lprng_certs(1), lprng_index_certs(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-T5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng mailing list is lprng@lprng.com; subscribe by sending mail to lprng-request@lprng.com with the word subscribe in the body. The software is available from ftp://ftp.lprng.com/pub/LPRng.

AUTHOR
Patrick Powell <papowell@lprng.com>.